Bug 108195 - Maintainer update: www/cocoon updated to 2.1.10
Summary: Maintainer update: www/cocoon updated to 2.1.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: sat
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-21 23:30 UTC by Jean-Baptiste Quenot
Modified: 2007-01-23 10:30 UTC (History)
0 users

See Also:


Attachments
file.diff (13.07 KB, patch)
2007-01-21 23:30 UTC, Jean-Baptiste Quenot
no flags Details | Diff
cocoon-2.1.10.patch (13.23 KB, patch)
2007-01-22 17:20 UTC, Jean-Baptiste Quenot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Quenot 2007-01-21 23:30:19 UTC
Version 2.1.9 is unfetchable.  This is an update of www/cocoon to version 2.1.10.
Comment 1 Edwin Groothuis freebsd_committer 2007-01-21 23:30:34 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer)
Comment 2 Edwin Groothuis freebsd_committer 2007-01-21 23:30:53 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Jean-Baptiste Quenot 2007-01-22 17:20:21 UTC
Ehem, in fact it's me ;-)

Please find attached an updated patch that also changes the
maintainer email.

Thanks,
-- 
     Jean-Baptiste Quenot
aka  John Banana   Qwerty
http://caraldi.com/jbq/
Comment 4 sat freebsd_committer 2007-01-22 20:36:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sat

Grab.
Comment 5 Andrew Pantyukhin freebsd_committer 2007-01-22 20:40:04 UTC
Please don't mark PR as serious unless you're
sure someone will die if it's not dealt with
ASAP :-)

Should I change your e-mail address in your
other ports?
Comment 6 Jean-Baptiste Quenot 2007-01-22 20:45:35 UTC
* Andrew Pantyukhin:

> Please don't mark PR as  serious unless you're sure someone will
> die if it's not dealt with ASAP :-)

It's just that the distfile  is unfetchable.  Most people can live
with that, sure.  Nobody will be dying ;-)
-- 
     Jean-Baptiste Quenot
aka  John Banana   Qwerty
http://caraldi.com/jbq/
Comment 7 Andrew Pantyukhin freebsd_committer 2007-01-22 21:19:29 UTC
On 1/22/07, Jean-Baptiste Quenot <jbq@caraldi.com> wrote:
> * Andrew Pantyukhin:
>
> > Please don't mark PR as  serious unless you're sure someone will
> > die if it's not dealt with ASAP :-)
>
> It's just that the distfile  is unfetchable.  Most people can live
> with that, sure.  Nobody will be dying ;-)

What about the e-mail address? Should I change it in
the rest of your ports?
Comment 8 Andrew Pantyukhin freebsd_committer 2007-01-23 08:56:49 UTC
Your port installs empty dirs (pkg_add && pkg_delete to
see the problem):

============================================================================
root@amilo:~/bsdevel/ports/www/cocoon# pkg_add cocoon-2.1.10.tbz
root@amilo:~/bsdevel/ports/www/cocoon# make deinstall
===>  Deinstalling for www/cocoon
===>   Deinstalling cocoon-2.1.10
pkg_delete: file
'/usr/local/cocoon/webapp/samples/blocks/portal/skins/common/js'
doesn't exist
pkg_delete: unable to completely remove directory
'/usr/local/cocoon/webapp/samples/blocks/portal/skins/common/js'
pkg_delete: file
'/usr/local/cocoon/webapp/samples/blocks/portal/skins/basic/js'
doesn't exist
pkg_delete: unable to completely remove directory
'/usr/local/cocoon/webapp/samples/blocks/portal/skins/basic/js'
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)
To delete the www user permanently, use 'pw userdel www'
============================================================================

I can either prevent them from installing (delete them at
post-extract stage) or force their creationg with @exec.
What would you prefer?
Comment 9 Jean-Baptiste Quenot 2007-01-23 09:59:16 UTC
* Andrew Pantyukhin:

> I  can  either prevent  them  from  installing (delete  them  at
> post-extract stage)  or force their creationg  with @exec.  What
> would you prefer?

Does it  mean cpio  won't create empty  directories?  It  would be
better to  force their creation, but  it would be still  better to
make cpio create them directly.

Thanks for your time,
-- 
     Jean-Baptiste Quenot
aka  John Banana   Qwerty
http://caraldi.com/jbq/
Comment 10 dfilter service freebsd_committer 2007-01-23 10:21:40 UTC
sat         2007-01-23 10:21:34 UTC

  FreeBSD ports repository

  Modified files:
    www/cocoon           Makefile Makefile.options 
                         Makefile.test-options distinfo pkg-plist 
    www/cocoon/files     cocoon.sh.in 
  Added files:
    www/cocoon/files     message-advanced.in message.in 
  Removed files:
    www/cocoon/files     
                         patch-src-blocks-forms-samples-welcome.xml 
                         pkg-message.in 
  Log:
  - Update to 2.1.10
  
  PR:             ports/108195
  Submitted by:   Jean-Baptiste Quenot <jbq@caraldi.com> (maintainer)
  
  Revision  Changes    Path
  1.36      +14 -8     ports/www/cocoon/Makefile
  1.7       +4 -3      ports/www/cocoon/Makefile.options
  1.8       +21 -0     ports/www/cocoon/Makefile.test-options
  1.17      +3 -3      ports/www/cocoon/distinfo
  1.2       +16 -4     ports/www/cocoon/files/cocoon.sh.in
  1.1       +23 -0     ports/www/cocoon/files/message-advanced.in (new)
  1.1       +30 -0     ports/www/cocoon/files/message.in (new)
  1.2       +0 -17     ports/www/cocoon/files/patch-src-blocks-forms-samples-welcome.xml (dead)
  1.2       +0 -45     ports/www/cocoon/files/pkg-message.in (dead)
  1.15      +1 -2      ports/www/cocoon/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 sat freebsd_committer 2007-01-23 10:21:49 UTC
State Changed
From-To: feedback->closed

Committed, thanks!